summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorKonstantin Käfer <mail@kkaefer.com>2015-05-13 15:29:54 +0200
committerJohn Firebaugh <john.firebaugh@gmail.com>2015-05-13 17:19:53 -0700
commit83484dc849e0e585c6f45a910432eb14b9bfa9c7 (patch)
tree2ba5dfd0b0a058bc72cc0b2f34ebdaaff3615d6c /scripts
parent37a34d4287d0b15f36a253abce7e5d1e8079fb2f (diff)
downloadqtlocation-mapboxgl-83484dc849e0e585c6f45a910432eb14b9bfa9c7.tar.gz
move result deployment to after_failure script
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/linux/after_failure.sh15
-rwxr-xr-xscripts/linux/run.sh15
2 files changed, 15 insertions, 15 deletions
diff --git a/scripts/linux/after_failure.sh b/scripts/linux/after_failure.sh
new file mode 100755
index 0000000000..c38af0a797
--- /dev/null
+++ b/scripts/linux/after_failure.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+if [ ! -z "${AWS_ACCESS_KEY_ID}" ] && [ ! -z "${AWS_SECRET_ACCESS_KEY}" ] ; then
+ # Install and add awscli to PATH for uploading the results
+ mapbox_time "install_awscli" \
+ pip install --user awscli
+ export PATH="`python -m site --user-base`/bin:${PATH}"
+
+ mapbox_time_start "deploy_results"
+ (cd ./test/suite/ && ./bin/deploy_results.sh)
+ mapbox_time_finish
+fi
diff --git a/scripts/linux/run.sh b/scripts/linux/run.sh
index daaa35b249..42d2a16d90 100755
--- a/scripts/linux/run.sh
+++ b/scripts/linux/run.sh
@@ -35,18 +35,3 @@ make test-* BUILDTYPE=${BUILDTYPE}
mapbox_time "compare_results" \
./scripts/compare_images.sh
-
-################################################################################
-# Deploy
-################################################################################
-
-if [ ! -z "${AWS_ACCESS_KEY_ID}" ] && [ ! -z "${AWS_SECRET_ACCESS_KEY}" ] ; then
- # Install and add awscli to PATH for uploading the results
- mapbox_time "install_awscli" \
- pip install --user awscli
- export PATH="`python -m site --user-base`/bin:${PATH}"
-
- mapbox_time_start "deploy_results"
- (cd ./test/suite/ && ./bin/deploy_results.sh)
- mapbox_time_finish
-fi